<?php
/**
 * Template part for displaying results in search pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Pen
 */

$post_id         = get_the_ID();
$pen_is_singular = is_singular();
?>
<article id="post-<?php echo $post_id; /* phpcs:ignore */ ?>" <?php echo pen_post_classes( array(), $post_id ); /* phpcs:ignore */ ?>>
<?php
$background_image_dynamic = pen_content_title_background( $pen_is_singular, $post_id );
?>
	<header class="entry-header<?php echo pen_class_lists( 'header_display_override', $post_id ); /* phpcs:ignore */ ?>"<?php if ( $background_image_dynamic ) { echo ' style="background-image:url(' . $background_image_dynamic . ');background-size:cover"'; /* phpcs:ignore */ } ?>>
<?php
the_title(
	sprintf(
		'<h2 class="entry-title%1$s"><a href="%2$s" rel="bookmark">',
		pen_class_lists( 'title_display_override', $post_id ),
		esc_url( get_permalink() )
	),
	'</a></h2>'
);

echo pen_html_content_information( 'header', $post_id ); /* phpcs:ignore */
?>
	</header><!-- .entry-header -->
<?php
pen_sidebar_get( 'sidebar-content-top', $post_id );

$list_type = pen_option_get( 'list_type' );
if ( 'masonry' === $list_type ) {
	get_template_part( 'partials/content', 'thumbnail' );
}
?>
	<div class="entry-summary">
<?php
if ( 'plain' === $list_type ) {
	get_template_part( 'partials/content', 'thumbnail' );
}
the_excerpt();
echo pen_html_author( array(), $post_id ); /* phpcs:ignore */
?>
	</div><!-- .entry-summary -->
<?php
pen_sidebar_get( 'sidebar-content-bottom', $post_id );

get_template_part( 'partials/content', 'search-footer' );

if ( $pen_is_singular ) {
	pen_html_jump_menu( 'content', $post_id );
}
?>
</article><!-- #post-<?php echo (int) $post_id; /* phpcs:ignore */ ?> -->
